Bug 116654 - atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-02-24 03:20 EST by Alexandre Oliva
Modified: 2015-01-04 17:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-11 13:31:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-02-24 03:20:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
Far too often, while typing in the console or in X, I get this
undesirable error message.  It seems to be generated whenever I press
together keys that should never be pressed together by good typists,
such as `f', `r' and `e', which is unfortunately a very common word
prefix to want to type when talking about Free Software :-(  Several
other combinations involving pressing two keys in the region delimited
by r, u, m and u, plus any other neighbor key, generate this message.
 It's very annoying when typing text in the console.  Could this
perhaps be disabled?  It doesn't seem to actually lose any input.

Version-Release number of selected component (if applicable):
kernel-2.6.3-1.91

How reproducible:
Always

Steps to Reproduce:
1.type `fre' by depressing these 3 keys before releasing any of them,
on a Dell Inspiron 8000

Actual Results:  atkbd.c: Keyboard on isa0060/serio0 reports too many
keys pressed.

Expected Results:  I"d rather not get this message, it's totally useless.

Additional info:
Comment 1 keith mannth 2004-03-01 18:42:05 EST
Hello,
  I see this same issue on RHEL 4.  
Red Hat Enterprise Linux AS release 3.90 (Nahant)
Kernel 2.6.3-2.1.223smp kernel. 


Comment 2 Wayne Walker 2004-04-08 01:07:52 EDT
I see this on my Thinkpad 600X on FC2test2

Quite annoying.  I spend a lot of my time at the text consoles and the
message trashes the editor sessions
Comment 3 Pontus Enhager 2004-05-29 08:14:01 EDT
I see
Comment 4 Ed Price 2004-06-08 17:33:33 EDT
"me too."

Fedora Core 2 on IBM Thinkpad T40.

Jun  8 14:46:24 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 14:48:26 wpax last message repeated 2 times
Jun  8 14:50:17 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 14:52:09 wpax last message repeated 5 times
Jun  8 14:55:37 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 14:57:57 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 15:01:52 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 15:03:46 wpax last message repeated 2 times
Jun  8 15:04:52 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 15:06:44 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 15:10:54 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 15:12:18 wpax last message repeated 2 times
Jun  8 15:14:26 wpax last message repeated 3 times
Jun  8 15:17:51 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 15:19:30 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 15:36:04 wpax last message repeated 2 times
Jun  8 15:37:36 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 15:48:35 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 15:56:11 wpax last message repeated 4 times
Jun  8 16:16:01 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 16:19:39 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 16:22:15 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 16:58:00 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 17:05:28 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 17:06:36 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Jun  8 17:08:01 wpax kernel: atkbd.c: Keyboard on isa0060/serio0
reports too many keys pressed.
Comment 5 John Hodrien 2004-07-01 09:03:38 EDT
Same behaviour here on a Dell Latitude, and again, no key presses are
lost, but the error message is printed.  Had no such problem with
Fedora Core 1, it's only appeared here on the upgrade to FC2.
Comment 6 Fabrizio Celli 2004-07-08 09:18:40 EDT
Me too.
Fedora Core 2 on a Toshiba Laptop S2450-401 
Comment 7 Bill Nottingham 2004-08-11 16:14:26 EDT
It's a debug message now rather than one that goes on the console by
default.
Comment 8 Dave Jones 2004-12-08 00:37:18 EST
fixed in 2.6.9 updates ?
Comment 9 Alexandre Oliva 2004-12-11 13:31:43 EST
It's definitely fixed in the latest FC3 kernels.
Comment 10 Dan Christensen 2005-01-20 21:55:08 EST
I get these messages in syslog with a stock kernel.org kernel, version
2.6.10, on an Inspiron 4150.  Does "fixed" mean that these messages
just don't go to the console anymore, or should they not be generated
at all?  Does a patch need to propagate from FC3 to Linus?

I don't know if this is related, but I also find that the computer
often thinks a shift or control key is being held down when it is not.
 Pressing the key and releasing it corrects the problem, but by then
emacs has done crazy things with all those control keys...
Comment 11 Giovanni Glass 2005-01-23 12:30:14 EST
In my case, I found that my Belkin KVM switch was conflicting. I have
a 4 port KVM switch with USB support. I had my computer running FC3
connected to the KVM with the PS2 AND USB ports. Thus my KVM was
reporting key presses on the PS2 port and on the USB port (Belkin USB
keyboard emulation). I disconnected the PS2, so the Belkin would just
pass keyboard presses through USB, now I don't get this error anymore.
I hope this helps. Maybe some people reporting this bug have a KVM
switch? :)

Note You need to log in before you can comment on or make changes to this bug.